# Interface methods for submodule: OnePlusOneEvolutionaryOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedNonLinearOptimizerProxy as _SingleValuedNonLinearOptimizerProxy


# Interface methods for class: OnePlusOneEvolutionaryOptimizer
class OnePlusOneEvolutionaryOptimizerProxy(_SingleValuedNonLinearOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximize(self, _arg: bool) -> None:
		""""""
		...

	def MaximizeOn(self) -> None:
		""""""
		...

	def MaximizeOff(self) -> None:
		""""""
		...

	def GetMaximize(self) -> bool:
		""""""
		...

	def GetMinimize(self) -> bool:
		""""""
		...

	def SetMinimize(self, v: bool) -> None:
		""""""
		...

	def MinimizeOn(self) -> None:
		""""""
		...

	def MinimizeOff(self) -> None:
		""""""
		...

	def SetMaximumIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumIteration(self) -> int:
		""""""
		...

	def SetGrowthFactor(self, _arg: float) -> None:
		""""""
		...

	def GetGrowthFactor(self) -> float:
		""""""
		...

	def SetShrinkFactor(self, _arg: float) -> None:
		""""""
		...

	def GetShrinkFactor(self) -> float:
		""""""
		...

	def SetInitialRadius(self, _arg: float) -> None:
		""""""
		...

	def GetInitialRadius(self) -> float:
		""""""
		...

	def SetEpsilon(self, _arg: float) -> None:
		""""""
		...

	def GetEpsilon(self) -> float:
		""""""
		...

	def GetFrobeniusNorm(self) -> float:
		""""""
		...

	def SetNormalVariateGenerator(self, generator) -> None:
		""""""
		...

	def Initialize(self, initialRadius: float, grow: float = ..., shrink: float = ...) -> None:
		""""""
		...

	def GetCurrentCost(self) -> float:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

	def GetCurrentIteration(self) -> int:
		""""""
		...

	def GetInitialized(self) -> bool:
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def StopOptimization(self) -> None:
		""""""
		...

	def GetCatchGetValueException(self) -> bool:
		""""""
		...

	def SetCatchGetValueException(self, _arg: bool) -> None:
		""""""
		...

	def GetMetricWorstPossibleValue(self) -> float:
		""""""
		...

	def SetMetricWorstPossibleValue(self, _arg: float) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

